
## Nakzujemy serwerowi zignorowanie plikow srm.conf i acces.conf
## gdyz cala konfiguracja serwera zawarta jest w pliku httpd.conf

ResourceConfig /dev/null
AccessConfig /dev/null



#-----------------------------------------------------------------------------------#

## Ustalmy czy serwer ma byc utrzymywany przez caly czas (dzialac jako demon - standalone )
## czy tez do obslugi kazdej prosby HTTP ma byc uruchomiony nowy odzielny serwer (inetd)

ServerType standalone


## Adres e-mail administratora serwera

ServerAdmin root@studserw.kik.pcz.czest.pl


## Wskazujemy port ktory ma obslugiwac serwer

Port 80


## Wskazujemy na urztkownika i grupe ktorych wlasnoscia bedzie proces httpd

User nobody
Group nobody


## Liczba serwerow uruchamianych podczas startu Apache

StartServers 10


## okreslamy maksymalna liczbe klientow ktorzy moga byc obsluzeni w tym samym czasie

MaxClients 50


## Okreslamy limit czasu na obsluge pojedynczego zadania

Timeout 300


## Zezwalamy na obsluge wielu zadan w ramach jednego placzenia

KeepAlive On


## Okreslamy maksymalna liczbe zadan w rzmach jednego polaczenia

MaxKeepAliveRequests 100


## Czas oczekiwania na kolejne zadanie w ramach tego samego polaczenia

KeepAliveTimeout 15


## Regulujemy liczbe zapasowych procesow potomnych serwera - aby serwer mogl
## dynamicznie dostosowac sie do obciazenia

MinSpareServers 8
MaxSpareServers 20


## Maksymalna liczba zadan obslugiwanych w cyklu zycia procesu potomnego

MaxRequestsPerChild 200


## Nakazujemy serwerowi by w przypadku odwolan wskazujacych na siebi tworzyl adres URL
## na podstawie wartosci z ServerName i Port

UseCanonicalName on



#-----------------------------------------------------------------------------------#



## Aby muc uzywzac modulow skompilowanych jako DSO ,nalezy je zaladowac a nastepnie
## dodac do serwera. Kolejnosc ladowania modulow jest bardzo istotna.

#LoadModule mmap_static_module modules/mod_mmap_static.so
LoadModule env_module         modules/mod_env.so
LoadModule config_log_module  modules/mod_log_config.so
LoadModule agent_log_module   modules/mod_log_agent.so
LoadModule referer_log_module modules/mod_log_referer.so
#LoadModule mime_magic_module  modules/mod_mime_magic.so
LoadModule mime_module        modules/mod_mime.so
LoadModule negotiation_module modules/mod_negotiation.so
LoadModule status_module      modules/mod_status.so
LoadModule info_module        modules/mod_info.so
LoadModule includes_module    modules/mod_include.so
#LoadModule includes_module    modules/mod_include_xssi.so
LoadModule autoindex_module   modules/mod_autoindex.so
LoadModule dir_module         modules/mod_dir.so
LoadModule cgi_module         modules/mod_cgi.so
LoadModule asis_module        modules/mod_asis.so
LoadModule imap_module        modules/mod_imap.so
LoadModule action_module      modules/mod_actions.so
#LoadModule speling_module     modules/mod_speling.so
LoadModule userdir_module     modules/mod_userdir.so
LoadModule proxy_module       modules/libproxy.so
LoadModule alias_module       modules/mod_alias.so
LoadModule rewrite_module     modules/mod_rewrite.so
LoadModule access_module      modules/mod_access.so
LoadModule auth_module        modules/mod_auth.so
LoadModule anon_auth_module   modules/mod_auth_anon.so
#LoadModule dbm_auth_module    modules/mod_auth_dbm.so
#LoadModule db_auth_module     modules/mod_auth_db.so
LoadModule digest_module      modules/mod_digest.so
#LoadModule cern_meta_module   modules/mod_cern_meta.so
LoadModule expires_module     modules/mod_expires.so
LoadModule headers_module     modules/mod_headers.so
LoadModule usertrack_module   modules/mod_usertrack.so
#LoadModule example_module     modules/mod_example.so
#LoadModule unique_id_module   modules/mod_unique_id.so
LoadModule setenvif_module    modules/mod_setenvif.so
ClearModuleList
#AddModule mod_mmap_static.c
AddModule mod_env.c
AddModule mod_log_config.c
AddModule mod_log_agent.c
AddModule mod_log_referer.c
#AddModule mod_mime_magic.c
AddModule mod_mime.c
AddModule mod_negotiation.c
AddModule mod_status.c
AddModule mod_info.c
AddModule mod_include.c
#AdModule mod_include_xssi.c
AddModule mod_autoindex.c
AddModule mod_dir.c
AddModule mod_cgi.c
AddModule mod_asis.c
AddModule mod_imap.c
AddModule mod_actions.c
#AddModule mod_speling.c
AddModule mod_userdir.c
AddModule mod_proxy.c
AddModule mod_alias.c
AddModule mod_rewrite.c
AddModule mod_access.c
AddModule mod_auth.c
AddModule mod_auth_anon.c
#AddModule mod_auth_dbm.c
#AddModule mod_auth_db.c
AddModule mod_digest.c
#AddModule mod_cern_meta.c
AddModule mod_expires.c
AddModule mod_headers.c
AddModule mod_usertrack.c
#AddModule mod_example.c
#AddModule mod_unique_id.c
AddModule mod_so.c
AddModule mod_setenvif.c



#-----------------------------------------------------------------------------------#



## Okreslamy najwyzszy katalog drzewa katalogow , wzgledem ktorego okraslane beda
## lokalizacje plikow konfiguracyjnych i dziennikow

ServerRoot /etc/httpd


## Okreslamy nazwy pliku lub plikow zawierajacych index katalugu.

DirectoryIndex index.html index.htm index.shtml index.cgi  Default.htm default.htm index.php3


## Okreslamy nazwe pliku zawierajacego stopke dolaczona na koncu indexu katalogu - ReadmeName
## Okreslamy nazwe pliku zawierajacego naglowek dolaczony na poczatku indexu katalogu - HeaderName

ReadmeName README
HeaderName HEADER


## Okreslamy nazwy plikow ktore maja byc ignorowane podczas indeksowania katalogu.

IndexIgnore .??* *~ *# HEADER* README* RCS


## Okreslamy nazwe pliku odpowiedzialnego za ustawienie kontroli dostepu do katalogow

AccessFileName .htaccess


## Okreslamy polozenie i format pliku dziennika transakcji , rejestrowanie informacji o typie
## przegladarki i adresie zrodlowym odwolania 

CustomLog logs/access_log combined


## Okreslamy plik do ktorego serwer podczas startu zapisz swoj PID 
 
PidFile /var/run/httpd.pid


## Okreslamy plik do zapisywania wewnetrznych inforamcji o procesach potomnych serwera

ScoreBoardFile /etc/httpd/httpd.scoreboard


## Okreslamy polozenie pliku blokady

LockFile /etc/httpd/httpd.lock


## Okreslamy polozenie pliku dziennika bledow

ErrorLog logs/error_log


## Tworzymy alias /icons/ dla danego katalogu {zawartosc katalogu traktowana jest jako dokumenty}

Alias /icons/ /home/httpd/icons/



#-----------------------------------------------------------------------------------#



## wlaczamu dodatkowe opcje indeksowania katalogow

FancyIndexing on


## informujemy serwer ktore ikony beda reprezentowaly pliki o okreslonych
## typach lub rozszezeniach. Ikony wyswietlane sa gdy wlaczymy  - FancyIndexind 

AddIconByEncoding (CMP,/icons/compressed.gif) x-compress x-gzip
AddIconByType (TXT,/icons/text.gif) text/*
AddIconByType (IMG,/icons/image2.gif) image/*
AddIconByType (SND,/icons/sound2.gif) audio/*
AddIconByType (VID,/icons/movie.gif) video/*
AddIcon /icons/binary.gif .bin .exe
AddIcon /icons/binhex.gif .hqx
AddIcon /icons/tar.gif .tar
AddIcon /icons/world2.gif .wrl .wrl.gz .vrml .vrm .iv
AddIcon /icons/compressed.gif .Z .z .tgz .gz .zip
AddIcon /icons/a.gif .ps .ai .eps
AddIcon /icons/layout.gif .html .shtml .htm .pdf
AddIcon /icons/text.gif .txt
AddIcon /icons/c.gif .c
AddIcon /icons/p.gif .pl .py
AddIcon /icons/f.gif .for
AddIcon /icons/dvi.gif .dvi
AddIcon /icons/uuencoded.gif .uu
AddIcon /icons/script.gif .conf .sh .shar .csh .ksh .tcl
AddIcon /icons/tex.gif .tex
AddIcon /icons/bomb.gif core
AddIcon /icons/back.gif ..
AddIcon /icons/hand.right.gif README
AddIcon /icons/folder.gif ^^DIRECTORY^^
AddIcon /icons/blank.gif ^^BLANKICON^^


## Okreslamy domyslna ikone dla plikow torym nie przypisano jej jawnie

DefaultIcon /icons/unknown.gif



#-----------------------------------------------------------------------------------#



## Wskazujemy lokalizacje pliku mime.types 

TypesConfig /etc/httpd/conf/apache-mime.types


## Wskazujemy domyslny typ MIME uzywany w przypadku niemoznosci jego okresenia.
## Jesli serwer przechowije glownie dokumenty tekstowe lum HTML to najlepiej uzyc wartosci "text/plain"
## jesli natomiast udostepniane pliki sa w wiekszosci binarne to lepiej uzyc "aplication/octet-stream"

DefaultType text/plain


## Dodajemy nowe tupy MIME bez koniecznosci modyfikowania pliku mime.types

AddType application/x-httpd-php3 .php3 .phtml .php
AddType application/x-httpd-php3-source .phps
AddType application/x-httpd-php .phtml



#-----------------------------------------------------------------------------------#



## Zezwalamy na uzywanie skryptow CGI

AddHandler cgi-script .cgi


## Zezwalamy na uzywanie polecen SSI w dokumentach HTML 

AddType text/html .shtml
AddHandler server-parsed .shtml


## Zezwalamy na uzywanie map graficznych , interpretowanych po stronie serwera

AddHandler imap-file map



#-----------------------------------------------------------------------------------#



## Dajemy mozliwosc przegladarkom na rozpakowywanie danych w locie

AddEncoding x-compress Z
AddEncoding x-gzip gz


## Ustawiamy blokade podczymywania polaczenia w przypadku komunikacji z przegladarka
## Netscape 2.x (implementacja ta zawiera bledy)
## Druga dyrektywa przeznaczona jest dla programu Internet Explorer 4.0b2 ktory
## posiada bledy w obsludze podczymywania polaczen po otrzymaniu odpowiedzi 301,302

BrowserMatch "Mozilla/2" nokeepalive
BrowserMatch "MSIE 4\.0b2;" nokeepalive downgrade-1.0 force-response-1.0


## Ustawiamy derektywe wymuszajaca wysylanie odpowiedzi w protokole HTTP/1.1 opatrzonych
## naglowkiem HTTP/1.0 na  uzytek przegladarek niewlasciwie interpretujacych dane w tym protokole

BrowserMatch "RealPlayer 4\.0" force-response-1.0
BrowserMatch "Java/1\.0" force-response-1.0
BrowserMatch "JDK/1\.0" force-response-1.0



#-----------------------------------------------------------------------------------#



## Okreslamy w jakich wersjach jezykowych przegladarka bedzie mogla dostarczyc dokumenty

AddLanguage en .en
AddLanguage fr .fr
AddLanguage de .de
AddLanguage da .da
AddLanguage el .el
AddLanguage it .it


## Okreslamy priorytet wersji jezykowej w przypadku braku rozszczygniecia podczas
## negocjacji zawartosci

LanguagePriority en fr de



#-----------------------------------------------------------------------------------#



## Konfigurujemy zestaw praw 

<Directory />
Options Indexes Includes FollowSymLinks
AllowOverride None
</Directory>

<Directory /home>
Options Indexes Includes FollowSymLinks
AllowOverride All
order allow,deny
allow from all
</Directory>

<Directory /home/httpd/protected-cgi-bin>
order deny,allow
deny from all
allow from localhost
allow from .kik.pcz.czest.pl
AllowOverride None
Options ExecCGI
</Directory>

<Location /server-status>
SetHandler server-status
order deny,allow
deny from all
allow from localhost, 127.0.0.1
allow from .kik.pcz.czest.pl
</Location>

Alias /doc /usr/doc
<Directory /usr/doc>
order deny,allow
deny from all
allow from localhost, 127.0.0.1
allow from .kik.pcz.czest.pl
Options Indexes FollowSymLinks
</Directory>

<Location /cgi-bin/phf*>
deny from all
ErrorDocument 403 http://phf.apache.org/phf_abuse_log.cgi
</Location>



#-----------------------------------------------------------------------------------#



## Nakazujemy rejestracje nazw klientow (on) lub tylko ich adresow (off)

HostnameLookups off


## Ustalmy ilosc informacji rejestrowanych w pliku error_log

LogLevel warn


## Ustalmy wzorce formatow dla dyrektywy CustomLog

LogFormat "%h %l %u %t \"%r\" %>s %b \"%{Referer}i\" \"%{User-Agent}i\"" combined
LogFormat "%h %l %u %t \"%r\" %>s %b" common
LogFormat "%{Referer}i -> %U" referer
LogFormat "%{User-agent}i" agent



#-----------------------------------------------------------------------------------#


## Okreslamy pliki ktore daja nam mozliwosc uzywania skryptow perl'a i stron php3

Include conf/addon-modules/mod_perl.conf
Include conf/addon-modules/mod_php3.conf


#-----------------------------------------------------------------------------------#

LoadModule vhost_alias_module	modules/mod_vhost_alias.so
AddModule mod_vhost_alias.c

NameVirtualHost 212.87.228.59


<VirtualHost 212.87.228.59>

## Ustalamy nazwe serwera zwracana klientowi jesli rozni sie ona od nazwy podanej
## w zadaniu (np. jesli uzyjemy www.----) , nazwa ta musi byc zgodna z nazwa podana w DNS
ServerName studserw.kik.pcz.czest.pl

## Okreslamy wszystkie nazwy pod ktorymi bedzie dostepny serwer
ServerAlias studserw

## Okreslamy katalog , z ktorego beda pobierane dokumenty do wyslania klientowi.
## Zawartosc tego katalogu uzywana jest domyslnie do obsugi wszelkich zadan.
DocumentRoot /home/httpd/virtual-server/studserw

## Okreslamy ktore katalogi zawieraja skrypty serwera {zawartosc katalogu traktowana jest jako aplikacje}
ScriptAlias /cgi-bin/ /home/httpd/virtual-server/studserw/cgi-bin/
<Directory /home/httpd/virtual-server/studserw/cgi-bin>
AllowOverride None
Options ExecCGI
</Directory>

## Komunikaty o bledach
ErrorDocument 500 /blad-serwera/blad_500.htm
ErrorDocument 503 /blad-serwera/blad_503.htm
ErrorDocument 404 /blad-serwera/blad_404.htm

</VirtualHost>



<VirtualHost 212.87.228.59>
ServerName dyplom.kik.pcz.czest.pl
ServerAlias dyplom
DocumentRoot /home/httpd/virtual-server/dyplom
ScriptAlias /cgi-bin/ /home/httpd/virtual-server/dyplom/cgi-bin/
<Directory /home/httpd/virtual-server/dyplom/cgi-bin>
AllowOverride None
Options ExecCGI
</Directory>
ErrorDocument 500 /blad-serwera/blad_500.htm
ErrorDocument 503 /blad-serwera/blad_503.htm
ErrorDocument 404 /blad-serwera/blad_404.htm
</VirtualHost>


<VirtualHost 212.87.228.59>
ServerName labik.kik.pcz.czest.pl
ServerAlias labik
DocumentRoot /home/httpd/virtual-server/labik
ScriptAlias /cgi-bin/ /home/httpd/virtual-server/labik/cgi-bin/
<Directory /home/httpd/virtual-server/labik/cgi-bin>
AllowOverride None
Options ExecCGI
</Directory>
ErrorDocument 500 /blad-serwera/blad_500.htm
ErrorDocument 503 /blad-serwera/blad_503.htm
ErrorDocument 404 /blad-serwera/blad_404.htm
</VirtualHost>


<VirtualHost 212.87.228.59>
ServerName lab3m.kik.pcz.czest.pl
ServerAlias lab3m
DocumentRoot /home/httpd/virtual-server/lab3m
ScriptAlias /cgi-bin/ /home/httpd/virtual-server/lab3m/cgi-bin/
<Directory /home/httpd/virtual-server/lab3m/cgi-bin>
AllowOverride None
Options ExecCGI
</Directory>
ErrorDocument 500 /blad-serwera/blad_500.htm
ErrorDocument 503 /blad-serwera/blad_503.htm
ErrorDocument 404 /blad-serwera/blad_404.htm
</VirtualHost>

